info.bioinfweb.jphyloio

## Interface JPhyloIOFormatSpecificObject

- All Known Subinterfaces:
    JPhyloIOEventReader, JPhyloIOEventWriter, JPhyloIOFormatInfo, JPhyloIOXMLEventReader, JPhyloIOXMLEventWriter
  All Known Implementing Classes:
    AbstractEventReader, AbstractEventWriter, AbstractPhylipEventReader, AbstractSingleMatrixEventWriter, AbstractTextEventReader, AbstractTextEventWriter, AbstractXMLEventReader, AbstractXMLEventWriter, DefaultFormatInfo, FASTAEventReader, FASTAEventWriter, JPhyloIOContentExtensionFileFilter, MEGAEventReader, NewickEventReader, NewickEventWriter, NeXMLEventReader, NeXMLEventWriter, NexusEventReader, NexusEventWriter, PDEEventReader, PhylipEventReader, PhylipEventWriter, PhyloXMLEventReader, PhyloXMLEventWriter, SequentialPhylipEventReader, XTGEventReader

      public interface JPhyloIOFormatSpecificObject

  Interface to be implemented by all format-specific classes (e.g. event readers and writers) that provide information about their target format.
  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormatID()` Returns a string ID uniquely identifying the target format of this instance.

- - ### Method Detail

    - #### getFormatID

          java.lang.String getFormatID()

      Returns a string ID uniquely identifying the target format of this instance. Additional information on the format can be retrieved by passing the returned ID to `JPhyloIOReaderWriterFactory.getFormatInfo(String)`.

      Third party developers that create readers or writers for additional formats must make sure to use a globally unique format ID. It is strongly recommended to use owned reverse domain names for this (e.g. `org.example.additionalformat`).

      Returns:
        the ID of the target format of this instance
      See Also:
        `JPhyloIOReaderWriterFactory.getFormatInfo(String)`